io.milvus.bulkwriter.common.utils

## Class GeneratorUtils

- java.lang.Object
- - io.milvus.bulkwriter.common.utils.GeneratorUtils

    public class GeneratorUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`GeneratorUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.nio.ByteBuffer` `generatorBinaryVector(int dim)`
`static java.util.List<java.lang.Boolean>` `generatorBoolValue(int count)`
`static java.util.List<java.lang.Double>` `generatorDoubleValue(int count)`
`static java.util.List<java.lang.Float>` `generatorFloatValue(int count)`
`static java.util.List<java.util.List<java.lang.Float>>` `generatorFloatVector(int dim, int count)`
`static java.util.List<java.lang.Integer>` `generatorInt16Value(int count)`
`static java.util.List<java.lang.Integer>` `generatorInt32Value(int count)`
`static java.util.List<java.lang.Integer>` `generatorInt8Value(int count)`
`static java.util.List<java.lang.Long>` `generatorLongValue(int count)`
`static java.util.List<java.lang.String>` `generatorVarcharValue(int count, int maxLength)`
`static java.util.List<java.lang.Float>` `genFloatVector(int dim)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeneratorUtils

    public GeneratorUtils()

### Method Detail

#### generatorLongValue

    public static java.util.List<java.lang.Long> generatorLongValue(int count)

#### generatorBoolValue

    public static java.util.List<java.lang.Boolean> generatorBoolValue(int count)

#### generatorInt8Value

    public static java.util.List<java.lang.Integer> generatorInt8Value(int count)

#### generatorInt16Value

    public static java.util.List<java.lang.Integer> generatorInt16Value(int count)

#### generatorInt32Value

    public static java.util.List<java.lang.Integer> generatorInt32Value(int count)

#### generatorFloatValue

    public static java.util.List<java.lang.Float> generatorFloatValue(int count)

#### generatorDoubleValue

    public static java.util.List<java.lang.Double> generatorDoubleValue(int count)

#### generatorVarcharValue

    public static java.util.List<java.lang.String> generatorVarcharValue(int count,
                                                                         int maxLength)

#### generatorBinaryVector

    public static java.nio.ByteBuffer generatorBinaryVector(int dim)

#### generatorFloatVector

    public static java.util.List<java.util.List<java.lang.Float>> generatorFloatVector(int dim,
                                                                                       int count)

#### genFloatVector

    public static java.util.List<java.lang.Float> genFloatVector(int dim)